image: nixos/latest
packages:
  - nixos.go
  - nixos.golangci-lint
secrets:
  - 22dee007-9353-4468-89ad-8d1fe5066ca7
tasks:
  - build: |
      cd scov
      export VERSION=`git describe`
      nix-shell --pure --command 'go build -v -ldflags="-X main.versionInformation=${VERSION}"'
      ./scov -v
  - test: |
      cd scov
      nix-shell --pure --command "go test -v . ./internal/..."
  - lint: |
      cd scov
      nix-shell --pure --arg enableLint true --command "golangci-lint run -v ./..."
  - release: |
      cd scov
      nix-build
      cp result/bin/scov scov
  - coverprofile: |
      cd scov
      nix-shell --pure --command "go test -coverprofile=cover.out"
      nix-shell --pure --command "go tool cover -html=cover.out -o=cover.html"
artifacts:
  - scov/cover.out
  - scov/cover.html
